Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# BoundsC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`

Include dependency graph for BoundsC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | CORBA
namespace | TAO
## Classes
exception | CORBA::Bounds
| UserException for NVList::item(). More...
## Defines
#define | TAO_EXPORT_MACRO TAO_Export
#define | _CORBA_BOUNDS_CH_
## Functions
TAO_Export void | operator<<= (CORBA::Any &, const CORBA::Bounds &)
TAO_Export void | operator<<= (CORBA::Any &, CORBA::Bounds *)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, CORBA::Bounds *&)
TAO_Export CORBA::Boolean | operator>>= (const CORBA::Any &, const CORBA::Bounds *&)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CORBA::Bounds &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CORBA::Bounds &)

## Define Documentation

#define _CORBA_BOUNDS_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CORBA::Bounds & |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | CORBA::Bounds * |
| ) |

TAO_Export void operator<<= | ( | CORBA::Any & | ,
|  | const CORBA::Bounds & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CORBA::Bounds & |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | const CORBA::Bounds *& |
| ) |

TAO_Export CORBA::Boolean operator>>= | ( | const CORBA::Any & | ,
|  | CORBA::Bounds *& |
| ) |